/*
 Theme Name:   Divi Child
 Theme URI:    http://www.hmt.ch/wp-content/themes/Divi/
 Description:  WooCommerce Style Sheet
 Author:       Rob Edgerley
 Author URI:   http://wwwhmt.ch
 Template:     Divi
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html

*/

/* display custom text in Woocommerce product loops and single product pages */
/* added this for the custom shipping text for estimated delivery times*/
.custom-text {
	font-size: 13px;
	margin: 5px 0px 10px 0px;
}

/*.et-fixed-header #et-top-navigation, .et-cart-info {
	margin-top: 4px !important;
	color: #0f797a !important;
}*/

.et-fixed-header #et-top-navigation, .et-cart-info { display: none !important; }

/* # WooCommerce Cart Icon CSS with FontAwesome 5
---------------------------------------------------------------------------------------------------- */

@media screen and (max-width: 768px){
li.menu-item.tg-menu-item.tg-menu-item-cart {
    display: none;
    }
}

.cart-contents {
    position: relative;
    display: flex !important;
    flex-flow: column nowrap;
    justify-content: center;
}

.cart-contents:before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;	
    content: "\f07a" !important;
    font-size: 20px;
    color: #4c4c4c;
}

.cart-contents:hover {
    text-decoration: none;
}

.cart-contents-count {
	position: absolute;
    	top: 15px;
   	right: 1px;
   	transform: translateY(-105%) translateX(25%);
	font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	font-size: 12px;
	line-height: 20px;
	height: 20px;
   	width: 20px;
	vertical-align: middle;
	text-align: center;
	color: #fff;
    	background: #4c4c4c;
    	border-radius: 50%;
    	padding: 1px;  
}

/****************ALERTS***************/
/* Rounded corners on the WooCommerce "alert" messages */
.woocommerce .woocommerce-error, .woocommerce-info, .woocommerce-message { 
	border-radius: 3px !important;
}
/* Normally Red */
.woocommerce .woocommerce-error {
    background-color: #0f797a !important;
}
/* Normally Blue */
.woocommerce .woocommerce-info {
    background-color: #0f797a !important;
}
/* Normally Green */
.woocommerce .woocommerce-message {
    background-color: #0f797a !important;
}
/* Normally Green */
.woocommerce body.single-product .woocommerce-message .message-inner {
    background-color: #0f797a !important;
}
/************END ALERTS***************/


/****************BUTTONS***************/
/* chang colours etc */
.woocommerce #content input.button.alt:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce-page #content input.button.alt:hover, .woocommerce-page #respond input#submit.alt:hover, .woocommerce-page a.button.alt:hover, .woocommerce-page button.button.alt:hover, .woocommerce-page input.button.alt:hover {
background:#0f797a !important;
background-image: linear-gradient(25deg,#9ddfdb 0%,#00979e 100%)!important;
color:white !important;
text-shadow: transparent !important;
box-shadow: none;
border-color:#0f797a !important;
}


/*Hover*/
.woocommerce #content input.button:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce-page #content input.button:hover, .woocommerce-page #respond input#submit:hover, .woocommerce-page a.button:hover, .woocommerce-page button.button:hover, .woocommerce-page input.button:hover {
background:#0f797a !important;
background-image: linear-gradient(25deg,#9ddfdb 0%,#00979e 100%)!important;
color:white !important;
text-shadow: transparent !important;
box-shadow: none;
border-color:#0f797a !important;
}

/* Static Button*/
.woocommerce #content input.button, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce-page #content input.button, .woocommerce-page #respond input#submit, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button {
background-image: linear-gradient(25deg,#0f797a 0%,#9ddfdb 100%)!important;
color:white !important;
text-shadow: transparent !important;
border: transparent !important;
box-shadow: rgba(0, 0, 0, 0.28) 0px 2px 8px 0px;
font-size: 15px;
}

/*Proceed to checkout*/
.woocommerce #content input.button.alt:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce-page #content input.button.alt:hover, .woocommerce-page #respond input#submit.alt:hover, .woocommerce-page a.button.alt:hover, .woocommerce-page button.button.alt:hover, .woocommerce-page input.button.alt:hover {
background-image: linear-gradient(25deg,#9ddfdb 0%,#0f797a 100%)!important;
box-shadow: rgba(0, 0, 0, 0.28) 0px 2px 8px 0px;
text-shadow: transparent !important;
color:white !important;
border-color:#0f797a !important;
}

/****** REMOVE ARROWS ON HOVER AND ADJUST PADDING ******/
.woocommerce #content input.button.alt:after, .woocommerce #content input.button:after, .woocommerce #respond input#submit.alt:after, .woocommerce #respond input#submit:after, .woocommerce a.button.alt:after, .woocommerce a.button:after, .woocommerce button.button.alt:after, .woocommerce button.button:after, .woocommerce input.button.alt:after, .woocommerce input.button:after, .woocommerce-page #content input.button.alt:after, .woocommerce-page #content input.button:after, .woocommerce-page #respond input#submit.alt:after, .woocommerce-page #respond input#submit:after, .woocommerce-page a.button.alt:after, .woocommerce-page a.button:after, .woocommerce-page button.button.alt:after, .woocommerce-page button.button:after, .woocommerce-page input.button.alt:after, .woocommerce-page input.button:after {
	content: none !important;
}
.woocommerce #content input.button.alt:hover, .woocommerce #content input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button.alt:hover, .woocommerce a.button:hover, .woocommerce button.button.alt:hover, .woocommerce button.button:hover, .woocommerce input.button.alt:hover, .woocommerce input.button:hover, .woocommerce-page #content input.button.alt:hover, .woocommerce-page #content input.button:hover, .woocommerce-page #respond input#submit.alt:hover, .woocommerce-page #respond input#submit:hover, .woocommerce-page a.button.alt:hover, .woocommerce-page a.button:hover, .woocommerce-page button.button.alt:hover, .woocommerce-page button.button:hover, .woocommerce-page input.button.alt:hover, .woocommerce-page input.button:hover, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled] {
	padding: .3em 1em !important; /* this is Divis default button padding */
}

/*My account View/Print Invoice button styles*/
.woocommerce table.my_account_orders .button:first-child,.woocommerce a.woocommerce-button.button.wt_pklist_invoice_print {
    padding: .3em 1em !important; /* this is Divis default button padding */
	margin-right: 10px !important;
}
/*My account Download button styles*/
.woocommerce table.woocommerce-table--order-downloads .button:first-child{
	font-size:15px !important;;
}

/************END BUTTONS***************/

.woocommerce .woocommerce-orders-table .woocommerce-orders-table__cell-order-actions a {
    padding: .3em 2em .3em 1.5em;
}
/****Mod bullet menu Woo My-Account***/

/* Change WC Acct Page Column Widths */
@media only screen and (min-width: 769px) {
  .woocommerce-account .woocommerce-MyAccount-navigation {
    width: 22%;
  }
  .woocommerce-account .woocommerce-MyAccount-content { 
    width: 75%;
  }
}
/* Style WC Account Endpoint Links */
nav.woocommerce-MyAccount-navigation ul {
  list-style-type: none;
  padding-left: 0;
  max-width:200px;
  font-size: 17px;
  line-height: 26px;
}
nav.woocommerce-MyAccount-navigation ul li {
  padding: 8px 20px;
  background-color: rgba(0,0,0,0.05);
  border-bottom: 1px solid rgba(0,0,0,0.05);
}
nav.woocommerce-MyAccount-navigation ul li.is-active {
  background-color: rgba(0,0,0,0.1);
}
nav.woocommerce-MyAccount-navigation ul li.is-active a {
  color: rgba(0,0,0,0.8); cursor: default;
}
nav.woocommerce-MyAccount-navigation ul li.is-active:after {
  content: "";
  height: 0;
  width: 0;
  border-top: 20px solid transparent;
  border-left: 14px solid rgba(0,0,0,0.1);
  border-bottom: 20px solid transparent;
  float: right;
  margin-right: -34px;
  margin-top: -7px;
}
nav.woocommerce-MyAccount-navigation ul li:not(.is-active):hover {
  background-color: rgba(0,0,0,0.07);
  color: #000000;
}


nav.woocommerce-MyAccount-navigation ul li:not(.is-active):hover:after { 
  content: "";
  height: 0;
  width: 0;
  border-top: 20px solid transparent;
  border-left: 14px solid rgba(0,0,0,0.07);
  border-bottom: 20px solid transparent;
  float: right;
  margin-right: -34px;
  margin-top: -7px;
}
/**END Mod bullet menu Woo My-Account***/


/****************CHECKOUT***************/
/* Add Icons to Headers & Notifications */
.woocommerce-billing-fields h3:before, h3#order_review_heading:before, h3#phoen_order_review_heading:before {
 font-family: "ETmodules";
 font-size: 27px;
 content: '\70'; /* sets default icon to a circled "i" */
 color: #0f797a;
 padding-right: 10px;
}
h3#order_review_heading:before { content: '\e015'; } /* changes the icon set above to a shopping cart for the order */

/* Rounded corners on the WooCommerce "alert" messages */
.woocommerce-error, .woocommerce-info, .woocommerce-message { border-radius: 3px;
background-color: #0f797a !important;}


.woocommerce-checkout #payment div.payment_box input.input-text, .woocommerce-checkout #payment div.payment_box textarea {
    width: 100% !important;
    padding: 8px;
}
.woocommerce #payment .form-row select, .woocommerce-page #payment .form-row select {
    width: 100%;
    height: 30px;
}
.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1,.woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 {
    float: left;
    width: 100%;
}
.custom-checkout h3 {
    background-color: #0f797a;  /****CHANGE TO COLOR YOU WANT TO USE FOR TITLE BACKGROUND ****/
    width: 45%;
    text-align: center;
    padding: 10px;
    border-radius: 5px;
    margin-top: 50px;
    color: #FFF;
    float: right;
}
.woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea {
    padding: .6180469716em;
    background-color: #f2f2f2;
    color: #43454b;
    outline: 0;
    -webkit-appearance: none;
    border-radius: 2px;
    box-sizing: border-box;
    font-weight: 400;
    border:solid 2px #e4e4e4;
}

.woocommerce form .form-row.woocommerce-validated .select2-container, .woocommerce form .form-row.woocommerce-validated input.input-text, .woocommerce form .form-row.woocommerce-validated select {
    border-color: #0f797a;
}

.woocommerce form .form-row.woocommerce-invalid .select2-container, .woocommerce form .form-row.woocommerce-invalid input.input-text, .woocommerce form .form-row.woocommerce-invalid select {
    border-color: #a00;
}

#wc_checkout_add_ons {
    width: 45%;
    float: right;
    text-align: center;
}

@media screen and (min-width: 980px) {
.woocommerce-shipping-fields h3, .woocommerce-billing-fields h3 {width:100%;}
.woocommerce .col2-set, .woocommerce-page .col2-set {
 width: 45%;
 float: left;
}
.woocommerce-checkout-review-order{
 width: 45%;
 float: right;
}
}
@media screen and (max-width: 979px) {
.custom-checkout h3 {
 width: 100%;
}
}

/* Deliver to diff address  */

input#ship-to-different-address-checkbox {
    /*width: 20px;*/
    /*height: 20px;*/
    margin: 25px 10px 0 0;
	
}



input#terms {
	
    /*width: 20px;*/
    /*height: 20px;*/
    margin: 25px 10px 0 0;
}

#ship-to-different-address {
    font-size: 20px;
}
.form-row.terms {
    font-size: 25px;
}

.woocommerce form .form-row .input-checkbox {
    display: inline;
    margin: -2px 8px 0 0;
    text-align: center;
    vertical-align: text-bottom;
}

/*************END CHECKOUT***************/


.select2-container--default .select2-results__option[aria-selected=true],.select2-container--default .select2-results__option[data-selected=true] {
    background-color:#ddd
}
.select2-container--default .select2-results__option--highlighted[aria-selected],.select2-container--default .select2-results__option--highlighted[data-selected] {
    background-color:#9acac1;
    color:#fff
}




